#!/usr/bin/env python
# glogarchive/Maemo csv -> Nokia csv converter for Athg2sms/Android
# (c) 2011 Thomas Tanner <maemo@tannerlab.com>

import sys, time

# in:
#0: "ID";"EventTypes.name";"Events.Outgoing";"storage_time";"start_time";"end_time";
#6: "is_read";"flags";"bytes_sent";"bytes_received";
#10:"local_uid";"local_name";"remote_uid";"remote_name";"channel";
#15:"free_text";"group_uid"

# out:
#sms;submit/deliver;"telno";"";"";"yyyy.mm.dd hh:mm";"";"text"\n

multi = False
sms = ""
# normal= '\r\n'
# multi = '\n'
for line in sys.__stdin__:
    if not multi: sms = "" # reset
    if len(line): line = line[:-1] # remove \n
    if not len(line) or line[-1] != '\r':
        multi = True
        sms += line + '\n'
        continue
    multi = False # end of opt multi
    sms += line[:-1] # remove \r
    f = sms.split(";")
    if len(f)<17 or f[1] != '"RTCOM_EL_EVENTTYPE_SMS_MESSAGE"': continue
    ti = time.localtime(int(f[4]))
    ti = "%4i.%2i.%2i %2i:%2i" % ti[:5]
    telno = f[12]
    body = f[15]
    if f[2] == '1': # outgoing
        print 'sms;submit;"";'+telno+';"";"'+ti+'";"";'+body
    else:
        print 'sms;deliver;'+telno+';"";"";"'+ti+'";"";'+body

